【Fedora】10 perl MCPANPLUS

Fedora 10 perl MCPANPLUS

先日アップグレードしたFedora 10 ですが、
perl のバージョンが

perl -v
This is perl, v5.10.0 built for x86_64-linux-thread-multi

と 5.8 から5.10へバージョンが上がっていました。

よっていくつかの perl プログラムからCPANモジュールが見つからないぞとエラーが発生(@INC)
そこで、

# perl -MCPAN -e shell

にて該当するモジュールをインストールしたのですが、インストールの途中でエラーが多発
5.8 の時は問題なくインストールできていました。
そこで、CPANPLUS を使用。

# yum install perl-CPANPLUS
# perl -MCPANPLUS -e shell

無事に 5.10 でインストールされました。

その後調べたところによると Fedora 9 かららしいです。

フォローする